GT
Date: 2019-10-22

org.jmol.i18n

## Class GT

- java.lang.Object
- - org.jmol.i18n.GT

- All Implemented Interfaces:
    Translator

      public class GT
      extends java.lang.Object
      implements Translator

  The language list is now in org.jmol.i18n.Language -- Bob Hanson, 12/16/12 implementing translations in JavaScript

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static boolean` | `allowDebug`
    `private boolean` | `doTranslate`
    `private static GT` | `getTextWrapper`
    `private static java.util.Map<java.lang.String,java.lang.String>` | `htLanguages`
    `private static boolean` | `ignoreApplicationBundle`
    `private java.lang.String` | `language`
    `private static Language[]` | `languageList`
    `private int` | `resourceCount`
    `private Resource[]` | `resources`
    `(package private) static Viewer` | `vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GT()`
    `GT(Viewer vr, java.lang.String langCode)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `$(java.lang.String string)`
    `private void` | `addBundle(Viewer vwr, java.lang.String className, java.lang.String name)`
    `private void` | `addBundles(Viewer vwr, java.lang.String type, java.lang.String la_co_va, java.lang.String la_co, java.lang.String la)`
    `private void` | `createLanguageList()`
    `static java.lang.String` | `escapeHTML(java.lang.String msg)`
    `static boolean` | `getDoTranslate()`
    `static java.lang.String` | `getLanguage()`
    `static Language[]` | `getLanguageList(GT gt)`
    `private java.lang.String` | `getString(java.lang.String s)`
    `private java.lang.String` | `getSupported(java.lang.String code)`
    `private static GT` | `getTextWrapper()`
    `static java.lang.String` | `i(java.lang.String s, int n)`
    `static void` | `ignoreApplicationBundle()`
    `static java.lang.String` | `o(java.lang.String s, java.lang.Object o)`
    `static boolean` | `setDoTranslate(boolean TF)`
    `java.lang.String` | `translate(java.lang.String s)` used in custom menu translation only

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ignoreApplicationBundle

          private static boolean ignoreApplicationBundle

    - #### getTextWrapper

          private static GT getTextWrapper

    - #### languageList

          private static Language[] languageList

    - #### resources

          private Resource[] resources

    - #### resourceCount

          private int resourceCount

    - #### doTranslate

          private boolean doTranslate

    - #### language

          private java.lang.String language

    - #### allowDebug

          private static boolean allowDebug

    - #### vwr

          static Viewer vwr

    - #### htLanguages

          private static java.util.Map<java.lang.String,java.lang.String> htLanguages

  - ### Constructor Detail

    - #### GT

          public GT()

    - #### GT

          public GT(Viewer vr,
                    java.lang.String langCode)

  - ### Method Detail

    - #### translate

          public java.lang.String translate(java.lang.String s)

      used in custom menu translation only
      Specified by:
        `translate` in interface `Translator`

    - #### getLanguageList

          public static Language[] getLanguageList(GT gt)

    - #### getLanguage

          public static java.lang.String getLanguage()

    - #### ignoreApplicationBundle

          public static void ignoreApplicationBundle()

    - #### setDoTranslate

          public static boolean setDoTranslate(boolean TF)

      Parameters:
        `TF` -
      Returns:
        initial setting of GT.doTranslate

    - #### getDoTranslate

          public static boolean getDoTranslate()

    - #### $

          public static java.lang.String $(java.lang.String string)

    - #### o

          public static java.lang.String o(java.lang.String s,
                                           java.lang.Object o)

    - #### i

          public static java.lang.String i(java.lang.String s,
                                           int n)

    - #### escapeHTML

          public static java.lang.String escapeHTML(java.lang.String msg)

    - #### getTextWrapper

          private static GT getTextWrapper()

    - #### createLanguageList

          private void createLanguageList()

    - #### getSupported

          private java.lang.String getSupported(java.lang.String code)

    - #### addBundles

          private void addBundles(Viewer vwr,
                                  java.lang.String type,
                                  java.lang.String la_co_va,
                                  java.lang.String la_co,
                                  java.lang.String la)

    - #### addBundle

          private void addBundle(Viewer vwr,
                                 java.lang.String className,
                                 java.lang.String name)

    - #### getString

          private java.lang.String getString(java.lang.String s)